tpm2_rsaencrypt(8)

NAME
tpm2_rsaencrypt - performs RSA encryption using the indicated padding scheme according to IETF RFC 3447. The scheme of keyHandle should not be TPM_ALG_NULL. The key referenced by keyHandle is required to be an RSA key (TPM_RC_KEY) with the decrypt attribute SET (TPM_RC_ATTRIBUTES).

SYNOPSIS
tpm2_rsaencrypt[ COMMON OPTIONS ] [ TCTI OPTIONS ] [ --keyHandle|--keyContext|--inFile|--outFile| ]

performs RSA encryption using the indicated padding scheme according to IETF RFC 3447. The scheme of keyHandle should not be TPM_ALG_NULL. The key referenced by keyHandle is required to be an RSA key (TPM_RC_KEY) with the decrypt attribute SET (TPM_RC_ATTRIBUTES).

DESCRIPTION
tpm2_rsaencrypt performs RSA encryption using the indicated padding scheme according to IETF RFC 3447. The scheme of keyHandle should not be TPM_ALG_NULL. The key referenced by keyHandle is required to be an RSA key (TPM_RC_KEY) with the decrypt attribute SET (TPM_RC_ATTRIBUTES).

OPTIONS

-k ,--keyHandle
    the public portion of RSA key to use for encryption

-c ,--keyContext
    filename of the key context used for the operation

-I ,--inFile
    Input file path, containing the data to be encrypted

-o ,--outFile
    Output file path, record the encrypted data

[COMMON OPTIONS ]
    This collection of options are common to many programs and provide information that many users may expect.

-h, --help
    Display a manual describing the tool and its usage.

-v, --version
    Display version information for this tool.

-V, --verbose
    Increase the information that the tool prints to the console during its execution.

[TCTI OPTIONS ]
    This collection of options are used to configure the varous TCTI modules available.

-T, --tcti
    Select the TCTI used for communication with the next component down the TSS stack. In most configurations this will be the TPM but it could be a simulator or proxy. Supported TCTIs are .

ENVIRONMENT: TCTI
    This collection of environment variables that may be used to configure the varous TCTI modules available. The values passed through these variables can be overridden on a per-command basis using the available command line options.

TPM2TOOLS_TCTI_NAME
    Select the TCTI used for communication with the next component down the TSS stack. In most configurations this will be the TPM but it could be a simulator or proxy. See 'OPTIONS' section for the names of supported TCTIs.

EXAMPLES
tpm2_rsaencrypt

    tpm2_rsaencrypt -k 0x81010001 -I <filePath> -o <filePath>
    tpm2_rsaencrypt -c key.context -I <filePath> -o <filePath>